import request from '@/utils/request'
const baseUrl = '/api/service-ai-eis-route-center-eistest'

// 添加小车跨层管理

export function addSxcaracross(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/sxcaracross/save',
    method: 'post',
    data: params,
    // params: params
  })
}

//  查询小车跨层管理

export function selSxcaracross(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/sxcaracross/sel-byStatus',
    method: 'post',
    data: params,
    // params: params
  })
}

export function containerpath(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisContainerRouteTaskHisService/container/path',
    method: 'post',
    params: params,
    // params: params
  })
}
// export function getDetail(params) {
//   return request({
//     url:  baseUrl+'/sxcaracross/sel-detail',
//     method: 'get',
//     params: params
//     // params: params
//   })
// }
export function getDetail(parameter) {
  // 保存权限与单位关联
  return request({
    url: baseUrl + '/sxcaracross/sel-detail',
    method: 'get',
    params: parameter,
  })
}
//1源区域
export function getSourceAreaNo() {
  return request({
    method: 'get',
    url: baseUrl + '/sxcaracross/sel-byStatus?status=1',
  })
}
//2目标区域
export function getTargetAreaNo() {
  return request({
    method: 'get',
    url: baseUrl + '/sxcaracross/sel-byStatus?status=2',
  })
}
//3提升机编号
export function getHoistNo() {
  return request({
    method: 'get',
    url: baseUrl + '/sxcaracross/sel-byStatus?status=3',
  })
}
